Browse the API reference

Calls

Get calls

View as Markdown
posthttps://www.getrevox.com/api/call/search

Retrieve a paginated list of call attempts. Each entry includes the call status, phone number, assistant used, transcript, and timestamps. Use the page and page_size query parameters to navigate through results.

Request body

  • querystring
  • statusesarray of enum (string)required

    Default []

  • directionsarray of enum (string)required

    Default []

  • resultsarray of enum (string)required

    Default []

  • outcomesarray of enum (string)required

    Default []

  • assistant_idsarray of stringrequired

    Default []

  • campaign_idsarray of stringrequired

    Default []

  • from_phone_numbersarray of stringrequired

    Default []

  • assignee_idsarray of one ofrequired

    Default []

    Show 2 variants
    1. One ofstringstring

    2. One ofstringstring (constant)

  • variablesarray of object
    Show 2 fields
    • keystringrequired
    • valuestringrequired
  • to_phone_numberstring
  • call_idsarray of string
  • pageintegerrequired

    min 1 · max 9007199254740991Default 1

  • page_sizeintegerrequired

    min 1 · max 100Default 50

  • sort_bystring
  • sort_directionenum (string)

    One ofascdesc

Responses

200Success
  • callsarray of Callrequired
  • total_countnumberrequired